%define url_ver %(echo %{version}|cut -d. -f1,2)

Name:           mate-calc
Version:        1.26.0
Release:        %mkrel 2
Summary:        MATE Desktop calculator
License:        GPLv2+
Group:          Graphical desktop/MATE
URL:            https://mate-desktop.org/
Source0:        https://pub.mate-desktop.org/releases/%{url_ver}/%{name}-%{version}.tar.xz

BuildRequires:  bison
BuildRequires:  flex
BuildRequires:  itstool
BuildRequires:  libmpc-devel
BuildRequires:  mate-common
BuildRequires:  yelp-tools
BuildRequires:  pkgconfig(gio-2.0)
BuildRequires:  pkgconfig(gmodule-export-2.0)
BuildRequires:  pkgconfig(gtk+-3.0)
BuildRequires:  pkgconfig(libxml-2.0)
BuildRequires:  pkgconfig(mpfr)

%description
mate-calc is a powerful graphical calculator with financial, logical and
scientific modes. It uses a multiple precision package to do its arithmetic to
give a high degree of accuracy.

%prep
%autosetup

%build
%configure --disable-schemas-compile
%make_build

%install
%make_install

%find_lang %{name} --with-gnome --all-name

%files -f %{name}.lang
%license COPYING
%doc AUTHORS NEWS README*
%{_mandir}/man1/*
%{_bindir}/mate-calc
%{_bindir}/mate-calc-cmd
%{_bindir}/mate-calculator
%{_datadir}/applications/mate-calc.desktop
%{_datadir}/glib-2.0/schemas/org.mate.calc.gschema.xml
%{_datadir}/metainfo/mate-calc.appdata.xml


%changelog
* Wed Mar 30 2022 umeabot <umeabot> 1.26.0-2.mga9
+ Revision: 1835609
- Mageia 9 Mass Rebuild

* Mon Aug 09 2021 wally <wally> 1.26.0-1.mga9
+ Revision: 1740848
- new version 1.26.0

* Mon Apr 05 2021 kekepower <kekepower> 1.24.2-1.mga9
+ Revision: 1713558
- Update to version 1.24.2

* Mon Aug 24 2020 kekepower <kekepower> 1.24.1-1.mga8
+ Revision: 1618694
- Update to version 1.24.1
+ danf <danf>
- Switch URLs from http: to https:

* Fri Feb 21 2020 umeabot <umeabot> 1.24.0-2.mga8
+ Revision: 1548001
- Mageia 8 Mass Rebuild

* Tue Feb 11 2020 kekepower <kekepower> 1.24.0-1.mga8
+ Revision: 1488724
- Update to version 1.24.0
+ wally <wally>
- replace deprecated %%configure2_5x

* Tue Dec 10 2019 kekepower <kekepower> 1.22.2-1.mga8
+ Revision: 1465673
- Update to version 1.22.2

* Wed Mar 13 2019 kekepower <kekepower> 1.22.0-1.mga7
+ Revision: 1375500
- Update to version 1.22.0

* Thu Dec 20 2018 kekepower <kekepower> 1.20.3-1.mga7
+ Revision: 1343410
- Fix file list
- Update to version 1.20.3

* Mon Dec 03 2018 kekepower <kekepower> 1.20.2-1.mga7
+ Revision: 1337834
- Update to version 1.20.2
- Fix file list
- Update make macros

* Tue Oct 23 2018 alexl <alexl> 1.21.0-1.mga7
+ Revision: 1324361
- version 1.21.0
- restore mate-calc from obsolete
+ tarakbumba <tarakbumba>
- Update to 1.12.0 version
+ umeabot <umeabot>
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.8.0-3.mga5
+ Revision: 743929
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.8.0-2.mga5
+ Revision: 682185
- Mageia 5 Mass Rebuild

* Wed Mar 05 2014 tarakbumba <tarakbumba> 1.8.0-1.mga5
+ Revision: 600119
- Updated to version 1.8.0

* Sat Mar 01 2014 tarakbumba <tarakbumba> 1.7.90-1.mga5
+ Revision: 598042
- Update to 1.7.x version

* Tue Feb 04 2014 tarakbumba <tarakbumba> 1.6.1-1.mga5
+ Revision: 582245
- Update to bugfix version: 1.6.1
  - fix for warning: ‘gtk_vbox_new’ is deprecated on gtk3
  - Translations update
  - Remove distro folder
  - Make numpad period work without numlock on
  - Fixed typo in help_cb

* Sat Oct 19 2013 umeabot <umeabot> 1.6.0-2.mga4
+ Revision: 531096
- Mageia 4 Mass Rebuild

* Fri Jun 21 2013 tarakbumba <tarakbumba> 1.6.0-1.mga4
+ Revision: 445503
- imported package mate-calc

